# BuildInitSpec

@Incubating
interface BuildInitSpec : Describable

Represents a specification for a new type of project that the `init` task can generate.

#### Since

8.12

## Functions

getDisplayName
Link copied to clipboard
open fun getDisplayName(): String
The name of the type of project this spec will generate.
getParameters
Link copied to clipboard
open fun getParameters(): List<BuildInitParameter<out Any>>
Returns the parameters that can be provided to configure this project during generation.
getType
Link copied to clipboard
abstract fun getType(): String
An identifier for the type of project this spec will generate.